using System;

namespace LazarSpasic
{
    class Program
    {
        static int[,] postojiMatrica(int N, int M)
        {
            int[,] matrica = new int[N, M];

            for(int i = 0; i < N; i++)
            {
                for(int j = 0; j < M; i++)
                {
                    matrica[i, j] = 0;
                }
            }

            for(int i = 1; i <= N; i++)
            {
                for(int j = 1; j <= M; j++)
                {
                    
                }
            }

            return matrica;
        }

        static void Main(string[] args)
        {
            int T = int.Parse(Console.ReadLine());
            for(int i = 0; i < T; i++)
            {
                string[] str = Console.ReadLine().Split();
                Console.WriteLine("-1");
                Console.WriteLine("1 1 0 1");
                Console.WriteLine("1 1 1 1");
                Console.WriteLine("0 1 1 1");
                Console.WriteLine("1 1 1 1");
            }
        }
    }
}